gping(utils)

NAME

gping - ping(1), but with a graph

SYNOPSIS

gping OPTIONS [HOSTS]

gping ccc.de

gping -s -b 20 ccc.de

DESCRIPTION

This manual page documents briefly the gping commmand.

This manual page was written for the Debian distribution because the original program does not have a manual page.

gping is essentially ping(1), but with a TUI graph.

OPTIONS

--cmd
    Graph the execution time for a list of commands rather than pinging hosts

-h, --help
    Show summary of options.

-V, --version
    Print version information

-n, --watch-interval <WATCH_INTERVAL>
    Watch interval seconds (provide partial seconds like `0.5'). Default for ping is 0.2, default for cmd is 0.5.

-b, --buffer <BUFFER>
    Determines the number of seconds to display in the graph. [default: 30]

-4  Resolve ping targets to IPv4 address

-6  Resolve ping targets to IPv6 address

-i, --interface <INTERFACE>
    Interface to use when pinging. ??

-s, --simple-graphics
    Uses dot characters instead of braille

--vertical-margin <VERTICAL_MARGIN>
    Vertical margin around the graph (top and bottom) [default: 1]

--horizontal-margin <VERTICAL_MARGIN>
    Horizontal margin around the graph (left and right) [default: 0]

-c, –color <color>
    Assign color to a graph entry. This option can be defined more than once as a comma separated string, and the order which the colors are provided will be matched against the hosts or commands passed to gping. Hexadecimal RGB color codes are accepted in the form of `#RRGGBB' or the following color names: `black', `red', `green', `yellow', `blue', `magenta',`cyan', `gray', `dark-gray', `light-red', `light-green', `light-yellow', `light-blue', `light-magenta', `light-cyan', and `white'

AUTHOR

Matthias Geiger <matthias.geiger1024@tutanota.de>
    Wrote this manpage for the Debian system.

COPYRIGHT

Copyright © 2023 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.